#!/usr/bin/env python
# -*- coding: utf-8 -*-
# File  : options.py
# Author: My Duan
# Date  : 2022-09-30

import argparse
import torch

def parse_args():

	parser = argparse.ArgumentParser()

	parser.add_argument('--random_seed', type=int, default=1)
	parser.add_argument('--device', type=str, default=torch.device("cuda" if torch.cuda.is_available() else "cpu"))

	parser.add_argument('--test_size', type=float, default=0.2)
	parser.add_argument('--adjacency_thre', type=float, default=0.225)

	parser.add_argument('--hidden_size', type=int, default=8)
	parser.add_argument('--dropout', type=float, default=0.3)

	parser.add_argument('--batch_size', type=int, default=32, help='Number of batches to train/test for. Default: 32')
	parser.add_argument('--num_epochs', type=int, default=150, help='Number of epochs for training')
	parser.add_argument('--learning_rate', type=float, default=1e-3)
	parser.add_argument('--weight_decay', type=float, default=1e-3)


	opt = parser.parse_known_args()[0]

	return opt